
#ifndef SPECTRE_GFXDRIVER_OPENGL_OPENGLDRV_H
#define SPECTRE_GFXDRIVER_OPENGL_OPENGLDRV_H

#include <Spectre/GfxDriver/GfxDriver.h>

namespace sp {

class OpenGLDrv : public GfxDriver
{
public:
	virtual std::string getVendor() const;

	virtual void setViewport(int x, int y, int width, int height);

	virtual void setClearColor(float r, float g, float b, float a);

	virtual void clearBuffer(GfxDriver::BufferFlags flags);

	virtual void clearColorBuffer();
};

} // namespace sp

#endif /* SPECTRE_GFXDRIVER_GFXDRIVER_H */
